Viewing Issue Simple Details Jump to Notes ] View Advanced ] Issue History ] Print ]
ID Category Severity Reproducibility Date Submitted Last Update
0000156 [libFirm] API trivial N/A 2015-08-18 15:30 2016-01-03 03:28
Reporter jonashaag View Status public  
Assigned To Matze
Priority normal Resolution fixed  
Status closed   Product Version
Summary 0000156: Split enum op_pin_state
Description jonash | what would exc-pinned in a node mean?
jonash | i.e. both op and node have the exc-pinned flag
MatzeB | that's invalid
MatzeB | only ir_op should have the exc_pinned value
MatzeB | it's silly that the same enum is used for node and op
jonash | maybe these should be two separate data types then, and the exc-pinned value should have an obvious name
Additional Information
Tags No tags attached.
Attached Files

- Relationships

-  Notes
(0000228)
Matze (administrator)
2015-08-20 16:28

Fixed in def92e0a5a1e6d3976327ddf3ad6566eb7714f5b and 7c90770864234d5a26aa59be24f42034f1ad8665.

(There is issue of ir_graph reusing the same enum though)

- Issue History
Date Modified Username Field Change
2015-08-18 15:30 jonashaag New Issue
2015-08-20 16:28 Matze Note Added: 0000228
2015-08-20 16:28 Matze Assigned To => Matze
2015-08-20 16:28 Matze Status new => resolved
2015-08-20 16:28 Matze Resolution open => fixed
2016-01-03 03:28 Matze Status resolved => closed


Mantis 1.1.5[^]
Copyright © 2000 - 2008 Mantis Group
Powered by Mantis Bugtracker